import 'package:electronic_assistant/base/app_base_request.dart';

import '../../utils/http_handler.dart';
import '../api/atmob_api.dart';
import '../api/response/home_info_response.dart';

class HomeRepository {
  HomeRepository._();

  Future<HomeInfoResponse> homeInfo() {
    return atmobApi
        .homeInfo(AppBaseRequest()).then(HttpHandler.handle(true));
  }
}

final homeRepository = HomeRepository._();
